<?php
/**
 * Polish language file - charset: UTF-8
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * @package CSVImproved
 * @subpackage Language
 * @author Roland Dalmulder
 * @author Keran from Quarkbit Software
 * @link http://www.csvimproved.com
 * @copyright Copyright (C) 2006 - 2008 Roland Dalmulder
 * @version $Id: csvi_polish.php 212 2008-05-29 15:16:34Z Keran from Quarkbit Software $
 * @link http://www.quarkbitsoftware.pl 
 */

defined( '_VALID_MOS' ) or die( 'Direct Access to this location is not allowed.' );

class CsviLanguage {
	var $UPLOAD = 'Użyj CSV Improved';
	var $VERSION = '0.8 Stable';
	var $ABOUT = 'O programie';
	var $DELIMITER = 'Separator tekstu';
	var $ENCLOSURE = 'Separator pól';
	var $SKIP_FIRST_LINE = 'Pomiń pierwszą linię';
	var $SKIP_DEFAULT_VALUE = 'Pomiń wartości domyślne';
	var $OVERWRITE_EXISTING_DATA = 'Nadpisz istniejące dane';
	var $PRICE_LIST_ONLY = 'Tylko aktualizacja cennika';
	var $MULTIPLE_PRICES_UPLOAD = 'Import cen wielokrotnych';
	var $IMPORT_CONFIG_CSV_FILE = 'Użyj nagłówków do konfiguracji';
	var $COLLECT_DEBUG_INFO = 'Zbieraj info debugera';
	var $SHOW_PREVIEW = 'Pokaż podgląd';
	var $REGULAR_UPLOAD = 'Standardowy import';
	var $PRODUCT_FILES_UPLOAD = 'Import plików produktów';
	var $PRODUCT_TYPE_UPLOAD = 'Import typów produktów';
	var $PRODUCT_TYPE_PARAMETERS_UPLOAD = 'Import parametrów typów produktów';
	var $PRODUCT_TYPE_XREF_UPLOAD = 'Import macierzy referencji typów produktów';
	var $PRODUCT_TYPE_NAMES_UPLOAD = 'Import nazw typów produktów';
	var $MANUFACTURER_IMPORT = 'Import danych producentów';
	var $REGULAR_EXPORT = 'Standardowy eksport';
	var $PRODUCT_FILES_EXPORT = 'Eksport plików produktów';
	var $PRODUCT_TYPE_EXPORT = 'Eksport typów produktów';
	var $PRODUCT_TYPE_PARAMETERS_EXPORT = 'Eksport parametrów typów produktów';
	var $PRODUCT_TYPE_XREF_EXPORT = 'Eksport macierzy referencji typów produktów';
	var $PRODUCT_TYPE_NAMES_EXPORT = 'Eksport nazw typów produktów';
	var $MULTIPLE_PRICES_EXPORT = 'Eksport cen wielokrotnych';
	var $MANUFACTURER_EXPORT = 'Eksport danych producentów';
	var $ORDER_EXPORT = 'Eksport zamówień';
	var $EMPTY_DATABASE = 'Wyczyść bazę danych';
	var $REMOVE_ORPHAN = 'Usuń osierocone pola';
	var $OPTIMIZE_TABLES = 'Optymalizuj tabele';
	var $INCLUDE_COLUMN_HEADERS = 'Dołącz nagłówki kolumn';
	var $UPLOAD_SETTINGS = 'Ustawienia importu';
	var $UPLOAD_FILE = 'Importuj plik CSV';
	var $SUBMIT_FILE = 'Importuj plik CSV';
	var $FROM_DIRECTORY = 'Importuj z katalogu';
	var $FROM_SERVER = 'Importuj z serwera';
	var $EXPORT_TO_FILE = 'Eksport do pliku CSV';
	var $EXPORT_TO_LOCAL = 'Eksportuj do scieżki lokalnej';
	var $SELECT_FIELD_ORDERING = 'Wybierz rodzaj eksportu';
	var $DEFAULT_ORDERING = 'Domyślna kolejność';
	var $CUSTOMIZED_ORDERING = 'Moja kolejność';
	var $EXPORT_ALL = 'Eksportuj wszystko';
	var $SUBMIT_EXPORT = 'Eksportuj wszystkie towary do CSV';
	var $EXPORT_TYPE = 'Typ eksportu';
	var $IMPORT_TYPE = 'Importuj typ';
	var $CONFIGURATION_HEADER = 'Konfiguracja Importu / Eksportu CSV';
	var $SAVE_CHANGES = 'Zapisz zmiany';
	var $FIELD_NAME = 'Nazwa pola';
	var $COLUMN_HEADER = 'Nagłówek kolumny';
	var $DEFAULT_VALUE = 'Wartość domyślna';
	var $FIELD_ORDERING = 'Kolejność pól';
	var $FIELD_REQUIRED = 'Uwzględnić pole?';
	var $GENERAL = 'Separatory';
	var $IMPORT = 'Import';
	var $EXPORT = 'Eksport';
	var $TEMPLATES = 'Szablony';
	var $CHOOSE_TEMPLATE = 'Wybierz szablon';
	var $CONFIG = 'Konfiguracja';
	var $NEW_FIELD = 'Dodaj nowe pole';
	var $NUMBER_OF_FIELDS = 'Liczba pól';
	var $ADD_NEW_FIELD = 'Dodaj nowe pole';
	var $AVAILABLE_FIELDS = 'Dostępne pola';
	var $DOCUMENTATION = 'Dokumentacja';
	var $CONTINUE_UPLOAD = 'Kontynuuj import';
	var $CANCEL_UPLOAD = 'Przerwij import';
	var $OUTPUT_CSV_UPLOAD_MESSAGES = 'Raport z importu CSV:';
	var $OUTPUT_COUNT = 'Ilość';
	var $OUTPUT_TOTAL = 'Razem';
	var $OUTPUT_FILE_IMPORTED = 'Zaimportowano plik CSV';
	var $OUTPUT_UPDATED = 'Zmienionych';
	var $OUTPUT_DELETED = 'Skasowanych';
	var $OUTPUT_ADDED = 'Dodanych';
	var $OUTPUT_SKIPPED = 'Pominiętych';
	var $OUTPUT_INCORRECT = 'Błędy';
	var $OUTPUT_EMPTY = 'Pustych';
	var $OUTPUT_NOSUPPORT = 'Nieobsługiwanych';
	var $OUTPUT_NOFILES = 'Zagubionych';
	var $OUTPUT_INFORMATION = 'Informacje';
	var $NEW_TEMPLATE = 'Nowy szablon...';
	var $OK_TEMPLATE = 'OK';
	var $NAME = 'Nazwa';
	var $DELETE = 'Kasuj';
	var $YES = 'Tak';
	var $NO = 'Nie';
	var $PUBLISHED = 'Opublikowany';
	var $AVAILABLE_FIELDS_USE = 'Pola, których możesz użyć do importu lub eksportu danych.';
	var $LATEST_ORDER = 'Ostatnie zamówienie: ';
	var $TEMPLATE_SETTINGS = 'Ustawienia szablonu';
	var $TEMPLATE_EXPORT = 'Eksport szablonu';
	var $TEMPLATE_FIELDS_EXPORT = 'Eksport pól szablonu';
	var $TEMPLATE_IMPORT = 'Import szablonu';
	var $TEMPLATE_FIELDS_IMPORT = 'Import pól szablonu';
	var $CUSTOM_FIELD = 'Pole użytkownika';
	var $MAINTENANCE_OPTIONS = 'Opcje konserwacyjne';
	var $EXPORT_FORMAT = 'Format eksportu';
	var $TYPE = 'Typ';
	var $EXPORT_SITE = 'Strona internetowa';
	var $CHOOSE_SITE = 'Wybierz stronę www...';
	var $COLUMN_NAME = 'Nazwa kolumny';
	var $NO_VIRTUEMART = 'Nie znaleziono instalacji Virtuemart. Ten komponent wymaga Virtuemart do poprawnego działania.';
	var $PHP_TOO_LOW = 'Twoja wersja PHP to [version], CSV Improved wymaga wersji PHP 5.0 lub wyższej.';
	var $PASTE = 'Wklej';
	var $CLEAR = 'Wyczyść';
	var $STANDARD_FILE_LOCATION = 'Standardowa lokalizacja pliku: ';
	var $SORT_CATEGORIES = 'Sortowanie kategorii';
	var $FILTER = 'Filtr';
	
	// Strings for the control panel
	var $CP_IMPORT = 'Import';
	var $CP_EXPORT = 'Eksport';
	var $CP_TEMPLATES = 'Szablony';
	var $CP_MAINTENANCE = 'Konserwacja';
	var $CP_HELP = 'Pomoc';
	var $CP_ABOUT = 'O CVSI';
	
	// Strings for the toolbar
	var $TB_TEMPLATES = 'Szablony';
	var $TB_NEW = 'Nowy';
	var $TB_DELETE = 'Usuń';
	var $TB_EDIT = 'Edytuj';
	var $TB_CLONE = 'Kopiuj';
	var $TB_FIELDS = 'Pola';
	var $TB_IMPORT = 'Import';
	var $TB_EXPORT = 'Eksport';
	var $TB_CONTINUE = 'Dalej';
	var $TB_BACK = 'Wstecz';
	var $TB_RENUMBER = 'Przenumeruj';
	var $TB_CUSTOM = 'Dodaj';
	
	// Strings for the template
	var $TEMPLATE_THUMB_WIDTH = 'Szerokość miniatury';
	var $TEMPLATE_THUMB_HEIGHT = 'Wysokość miniatury';
	var $TEMPLATE_EXPORT_SHOPPER_GROUP = 'Nazwa grupy klientów';
	var $TEMPLATE_EXPORT_SHOPPER_GROUP_ALL = 'Wszyscy';
	var $EXPORT_PRODUCTURL_SUFFIX = 'Przyrostek URL produktu';
	var $SHOPPER_SITES = 'Strony kupujących';
	var $TEMPLATE_FILE_LOCATION = 'Lokalizacja pliku';
	var $NO_FIELDS = 'Nie znaleziono pól';
	var $NO_FIELD_NAME = 'Nie zdefiniowano nazwy pola';
	var $CATEGORY_FIELDS_IMPORT = 'Import opisu kategorii';
	var $CATEGORY_FIELDS_EXPORT = 'Eksport opisu kategorii';
	var $TEMPLATE_EXPORT_PRODUCT_PUBLISH = 'Eksportuj produkty ze stanem';
	var $TEMPLATE_EXPORT_PRODUCT_PUBLISHED_BOTH = 'Wszystkie';
	var $TEMPLATE_EXPORT_PRODUCT_PUBLISHED = 'Opublikowany';
	var $TEMPLATE_EXPORT_PRODUCT_UNPUBLISHED = 'Nie opublikowany';
	
	// Strings for export page
	var $EXPORT_NUMBER_RECORDS = 'Liczba rekordów do wyeksportowania';
	var $EXPORT_START_RECORD = 'Zacznij od rekordu nr';
	var $CHOOSE_TEMPLATE_NO_FIELDS = '*Szablony bez pól nie są pokazywane';
	var $EXPORT_TO_DOWNLOAD = 'Pobierz plik';
	var $NO_TEMPLATE_FIELDS = 'Nie znaleziono szablonu z polami do eksportu';
	var $EXPORT_TEMPLATE_FIELDS = 'Użyj dla eksportu szablonu lub pól szablonu';
	
	// Strings for import page
	var $UPLOAD_LIMITS = 'Limity systemowe';
	var $MAX_FILE_POST = 'Maksymalny rozmiar pliku możliwy do wysłania: ';
	var $MAX_FILE_UPLOAD = 'Maksymalny rozmiar pliku uploadu: ';
	var $MEMORY_LIMIT = 'Maksymalna ilość pamięci możliwa do użycia: ';
	var $EXECUTION_TIME = 'Maksymalny czas wykonywania skryptu: ';
	var $IMPORT_SECONDS = ' sekund';
	var $IMPORT_CONVERT_FILE = 'Konwersja pliku UTF-8 &lt;---&gt; ISO-8859-1';
	var $CONVERT_IMPORT = 'Konwertuj plik importu do ';
	var $ISO_IMPORT = 'ISO-8859-1';
	var $UTF_IMPORT = 'UTF-8';
	var $EXPLAIN_ICONV = 'Funckja PHP iconv nie jest dostępna w Twoim systemie. Automatyczna konwersja jest tym samym niemożliwa. Więcej informacji na tej <a href="http://www.csvimproved.com/wiki/doku.php/csvimproved:iconv" alt="iconv explanation" target="_blank">stronie</a>.';
	var $NO_MEMORY_GET_USAGE = 'Funkcja memory_get_usage nie jest dostępna w Twoim systemie. Wykrywanie przekroczonej ilości pamięci jest zablokowane.';
	
	// Strings for result page
	var $EXECUTION_TIME_PASSED = 'Przekroczono czas wykonywania skryptu. Przekroczony czas: ';
	var $MEMORY_LIMIT_PASSED = 'Przekroczono maksymalny limit pamięci. Użyta pamięć: ';
	var $IMPORT_MB = ' MB';
	
	// Strings for template list page
	var $TEMPLATE_SHOPPER_GROUP_NAME = 'Nazwa grupy klientów';
	
	// Strings for the template fields page
	var $TEMPLATE_FIELDS_PAGE_PUBLISHED = 'Pola zostały opublikowane';
	var $TEMPLATE_FIELDS_PAGE_NOT_PUBLISHED = 'Pola nie zostały opublikowane';
	var $TEMPLATE_FIELDS_PAGE_UNPUBLISHED = 'Pola zostały odpublikowane';
	var $TEMPLATE_FIELDS_PAGE_NOT_UNPUBLISHED = 'Pola nie zostały odpublikowane';
	var $TEMPLATE_FIELDS_PAGE_CUSTOM_ADDED = 'Dodano pole użytkownika';
	var $TEMPLATE_FIELDS_PAGE_CUSTOM_NOT_ADDED = 'Nie dodano pola uzytkownika';
}
$CsviLang =& new CsviLanguage();
?>
